gRPC C#
gRPC C#
Namespaces
Grpc.Core
IServerStreamWriter(T) Interface
IServerStreamWriter(T) Properties
IServerStreamWriter(T) Methods

IServerStreamWriter T Interface

A writable stream of messages that is used in server-side handlers.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public interface IServerStreamWriter<T> : IAsyncStreamWriter<T>

    Public Interface IServerStreamWriter(Of T)
    	Inherits IAsyncStreamWriter(Of T)

    generic<typename T>
    public interface class IServerStreamWriter : IAsyncStreamWriter<T>

    type IServerStreamWriter<'T> =
        interface
            interface IAsyncStreamWriter<'T>
        end

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "T:Grpc.Core.IServerStreamWriter`1"]

The IServerStreamWriter
T
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| WriteOptions | Write options that will be used for the next write. If null, default options will be used. Once set, this property maintains its value across subsequent writes. (Inherited from IAsyncStreamWriter T .)

Top
Methods

| Name | Description
--- | --- | ---
| WriteAsync | Writes a single asynchronously. Only one write can be pending at a time. (Inherited from IAsyncStreamWriter T .)

Top
Extension Methods

| Name | Description
--- | --- | ---
| WriteAllAsync T | Writes all elements from given enumerable to the stream. (Defined by AsyncStreamExtensions.)

Top
See Also

#### Reference

Grpc.Core Namespace